# Shared Modifier Options Shared Modifier Options ## Gets all of the shared modifier options in the system. - [GET /sharedModifierOptions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-modifier-options/listsharedmodifieroptions.md): This method will scan all shared modifier options and and return them to the caller. ## Creates a new shared modifier option record that does not already exist. - [POST /sharedModifierOptions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-modifier-options/createsharedmodifieroption.md): This method will auto-generate an ID and create a new shared modifier option. If an ID is specified for the shared modifier option, an error will be thrown. ## Execute Batch Operations - [POST /sharedModifierOptions/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-modifier-options/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a shared modifier option from the system by its ID. - [DELETE /sharedModifierOptions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-modifier-options/deletesharedmodifieroption.md): This method will delete a shared modifier option with the specified ID. ## Returns a shared modifier option from the system by its ID. - [GET /sharedModifierOptions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-modifier-options/getsharedmodifieroption.md): This method will look up a shared modifier option by the specified ID and return it back. ## Partially updates a shared modifier option with the specified ID. - [PATCH /sharedModifierOptions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-modifier-options/patchsharedmodifieroption.md): This method will patch an existing shared modifier option with the specified ID, using the HTTP PATCH specification. ## Updates a shared modifier option with the specified ID. - [PUT /sharedModifierOptions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shared-modifier-options/updatesharedmodifieroption.md): This method will update an existing shared modifier option with the specified ID.